package com.example;

import io.quarkus.test.junit.QuarkusTest;
import org.junit.jupiter.api.Test;

import static io.restassured.RestAssured.given;
import static org.hamcrest.CoreMatchers.is;

@QuarkusTest
public class ExampleResourceTest {
  @Test
  public void normalInterfaceMethodDeclaration() {
    given()
        .when()
        .get("/hello/nodefault")
        .then()
        .statusCode(200)
        .body(is("result: 4"));
  }

  @Test
  public void interfaceMethodDeclarationWithDefault() {
    given()
        .when()
        .get("/hello/default")
        .then()
        .statusCode(200)
        .body(is("result: 4"));
  }
}