package com.example;

import jakarta.inject.Inject;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;

@Path("/hello")
public class ExampleResource {
  @Inject
  Interface anInterface;

  @GET
  @Path("/default")
  @Produces(MediaType.TEXT_PLAIN)
  public String helloWithDefault() {
    return "result: " + anInterface.getWithDefault();
  }


  @GET
  @Produces(MediaType.TEXT_PLAIN)
  @Path("/nodefault")
  public String hello() {
    return "result: " + anInterface.get();
  }
}
